<launch>
  <arg name="ns" default="/" />
  <arg name="output" default="log" />

  {% if skillset.data %}
  {% for d in skillset.data %}
  <arg name="{{ d.name }}_topic" default="data/{{ d.name }}" />{% endfor %}
  {% endif %}
  {% if skillset.resources %}
  {% for r in skillset.resources %}
  <arg name="{{ r.name }}_initial" default="{{ r.statemachine.initial }}" />{% endfor %}
  {% endif %}
  
  <group ns="$(arg ns)">
    {% if skillset.data %}
    <node pkg="{{ pkgname }}" type="{{ skillset }}_data_manager" name="{{ skillset }}_data_manager" output="$(arg output)">
      {% for d in skillset.data %}<remap from="data/{{ d.name }}" to="$(arg {{ d.name }}_topic)"/>
      {% endfor %}
    </node>{% endif %}
    {% if skillset.resources %}
    <node pkg="{{ pkgname }}" type="{{ skillset }}_resource_manager" name="{{ skillset }}_resource_manager" output="$(arg output)">
      {% for r in skillset.resources %}<param name="{{ r.name }}_initial" value="$(arg {{ r.name }}_initial)"/>
      {% endfor %}
    </node>{% endif %}
    {% for sk in skillset.skills %}
    <node pkg="{{ pkgname }}" type="{{ sk }}_{% if mock is sameas true %}mock_{% endif %}manager.py" name="{{ sk }}_manager" output="$(arg output)"/>
    {% endfor %}
  </group>
</launch>
